Bug 574267 - (perl-Test-Simple) Review Request: perl-Test-Simple - Basic utilities for writing tests
Review Request: perl-Test-Simple - Basic utilities for writing tests
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Test-Simple
:
: 230798 (view as bug list)
Depends On:
Blocks: perl-duallifed
  Show dependency treegraph
 
Reported: 2010-03-16 22:04 EDT by Chris Weyl
Modified: 2010-04-03 14:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-03 14:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steve.traylen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2010-03-16 22:04:58 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Test-Simple.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Test-Simple-0.94-1.fc12.src.rpm

Description:
This package provides the bulk of the core testing facilities.  For more
information, see perldoc for Test::Simple, Test::More, etc.

This package is the CPAN component of the dual-lifed core package Test-Simple.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2057688

Additional Comment:

This is an independent 'subpackage' of the dual-life CPAN package Test-Simple.

*rt-0.10_01
Comment 1 Chris Weyl 2010-03-16 22:05:56 EDT
*** Bug 230798 has been marked as a duplicate of this bug. ***
Comment 2 Chris Weyl 2010-03-16 22:12:16 EDT
So, a couple extra thoughts on this one, as it's a little "weird" given its dual-life status.  All of the following directly follow the corresponding bits of perl.spec.

I've directly BR'd perl-devel.

Modules are installed to "perl" (aka core) dirs vs vendor.  Practically, this change has no real impact on F-13+ due to the core/vendor conflation, but it seemed to be a good idea to be consistent.

There's some commented-out bits relating to triggering a full re-test using the core perl test suite, as Iain suggested.  (I have the perl.spec mods in place to break out the test suite into a perl-tests package, but need to get something up and going so I can make sure it actually works as advertised.)

I haven't BR'ed either Test::Pod or Test::Pod::Coverage, as I didn't want to introduce a non-core dependency on a dual-life package.  (I'm open to being convinced otherwise, however :))
Comment 3 Steve Traylen 2010-03-27 19:03:05 EDT
Am a bit confused here on F12.

yum provides 'perl(Test::Simple)'

perl-Test-Simple-0.92-87.fc12.x86_64 : Basic utilities for writing tests
Repo        : updates
Matched from:
Other       : perl(Test::Simple)

am I missing something?
Comment 4 Chris Weyl 2010-03-28 14:59:42 EDT
Basically -- it's the new process for updating dual-lifed dists.  (e.g. Test-Simple ships both bundled with core Perl, and on the CPAN, so it has two lives).

The key things to keep in mind here:
* Files should be installed to "perl" (aka core) not "vendor"
* The dual-lifed dist should already be broken out into a subpackage of the "perl" package.
* perl_default_filter should be used
* packages must be upgradable by core when the core perl's package is upgraded and includes a newer version of the dual-lifed dist
* The core "perl" package maintainers must have access to update the package, and perl-sig must be on CC.

This is still a very new change to the updating policy...  Discussion is always welcome on the fedora perl mailing list (or here, but the mailing list seems easier for it :))
Comment 5 Steve Traylen 2010-03-31 16:20:46 EDT
Thanks for the explanation this makes sense to me. As long as the package
updates cleanly from perl's own to this one it is good.

Review: perl-Test-Simple
Date:   31st March  2010
Mock Build: F14-x86_64 tested.

* COMMENT: rpmlint output
$ rpmlint SPECS/perl-Test-Simple.spec RPMS/noarch/perl-Test-Simple-0.94-1.fc12.noarch.rpm SRPMS/perl-Test-Simple-0.94-1.fc12.src.rpm 
perl-Test-Simple.noarch: E: devel-dependency perl-devel
perl-Test-Simple.noarch: W: spelling-error %description -l en_US perldoc -> periodic, Perl, perforce
perl-Test-Simple.noarch: W: spelling-error %description -l en_US lifed -> filed, life, lied
perl-Test-Simple.src: W: spelling-error %description -l en_US perldoc -> periodic, Perl, perforce
perl-Test-Simple.src: W: spelling-error %description -l en_US lifed -> filed, life, lied

Is the word "lifed" as in this dual-lifed now establised? It's really
not a word.

As for dependecy on perl-devel yes it comes from the main perl package
I see.
* PASS: Named according to the Package Naming Guidelines.
* PASS: spec file name same as  base package %{name}.
* PASS: Packaging Guidelines.
* PASS: Approved license in .spec file.
As perl.
* PASS: License on Source code.
As perl
* PASS: Include LICENSE file or similar if it exist.
Does not exist
* COMMENT: Written in American English.
"lifed"
* PASS: Spec file legible. 
* PASS: Included source must match upstream source.
$ md5sum Test-Simple-0.94.tar.gz ../SOURCES/Test-Simple-0.94.tar.gz 
e4e09d8bf2cc73124152ba2c45c95b5b  Test-Simple-0.94.tar.gz
e4e09d8bf2cc73124152ba2c45c95b5b  ../SOURCES/Test-Simple-0.94.tar.gz
* PASS: Build on one architecture.
* NOTCHECKED: Not building on an architecture must highlighted.
* PASS: Build dependencies must be listed in BuildRequires.
* PASS: Handle locales properly. 
None present
* PASS: ldconfig must be called on shared libs.
None present
* PASS: No bundled copies of system libraries.
None present
* PASS: Package must state why relocatable if relocatable.
Not Relocatable.
* PASS: A package must own all directories that it creates
Standard perl
* PASS:  No duplicate files in %files listings. 
None
* PASS:  Permissions on files must be set properly. %defattr
* PASS:  %clean section contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  Each package must consistently use macros.
* PASS:  The package must contain code, or permissable content.
* PASS:  Large documentation files must go in a -doc subpackage.  
None present.
* PASS:  %doc  must not affect the runtime of the application. 
* PASS:  Header files must be in a -devel package.
* PASS:  Static libraries must be in a -static package.
None present.
* PASS:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
None present.
* PASS:  Then library files that end in .so 
None present.
* PASS:  devel packages must require the exact base package
* PASS:  No .la libtool archives
* PASS:  GUI apps should have %{name}.desktop file
No Gui
* PASS:  No files or directories already owned by other packages. 
* PASS:  %install must run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  All filenames in rpm packages must be valid UTF-8.

Summary:

Just the comment about "lifed".

 APPROVED.
Comment 6 Chris Weyl 2010-03-31 18:41:47 EDT
(In reply to comment #5)

> Summary:
> 
> Just the comment about "lifed".

Thanks!  I can't claim the word, but I believe I captured it correctly.
Comment 7 Chris Weyl 2010-03-31 18:45:40 EDT
New Package CVS Request
=======================
Package Name: perl-Test-Simple
Short Description: Basic utilities for writing tests
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig
Comment 8 Kevin Fenzi 2010-04-03 13:39:11 EDT
CVS done (by process-cvs-requests.py).
Comment 9 Chris Weyl 2010-04-03 14:03:32 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.